=head1 NAME

Gtk2::Tooltips

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Tooltips



=cut


=head1 METHODS

=head2 tooltips = Gtk2::Tooltips-E<gt>B<new> 

=head2 hash_ref = $tooltips->B<data_get> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

Returns a hash reference with the keys: tooptips, widget, tip_text, and
tip_private.

tooltips is the GtkTooltips group that this tooltip belongs to. widget is the
GtkWidget that this tooltip data is associated with. tip_text is a string
containing the tooltip message itself.

tip_private is a string that is not shown as the default tooltip. Instead, this
message may be more informative and go towards forming a context-sensitive help
system for your application.

=head2 $tooltips-E<gt>B<disable> 

=head2 $tooltips-E<gt>B<enable> 

=head2 $tooltips-E<gt>B<force_window> 

=head2 $tooltips-E<gt>B<set_tip> ($widget, $tip_text, $tip_private=undef)

=over

=item * $widget (Gtk2::Widget) 

=item * $tip_text (string) 

=item * $tip_private (scalar) 

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

